Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2758643002: Flakiness in SingleClientPrintersSyncTest.EditPrinter (Closed)

Created:
8 months, 4 weeks ago by skau
Modified:
8 months, 3 weeks ago
Reviewers:
stanisc, skym
CC:
chromium-reviews, sync-reviews_chromium.org, jdufault, pavely
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Flakiness in SingleClientPrintersSyncTest.EditPrinter. The test needs to wait for sync to begin initializing before running. This is the behavior of Chrome normally. BUG=701999 TEST=Ran the SingleClientPrintersSyncTest on my workstation 100 times. 0 failures. Review-Url: https://codereview.chromium.org/2758643002 Cr-Commit-Position: refs/heads/master@{#458158} Committed: https://chromium.googlesource.com/chromium/src/+/9985aa81ecc5c3fc065c6707ef5b67b141a6394c

Patch Set 1 #

Total comments: 2

Patch Set 2 : to dcheck #

Patch Set 3 : all tests #

Messages

Total messages: 12 (7 generated)
skau
stanisc: Please take a look. You appear to be the package OWNER.
8 months, 4 weeks ago (2017-03-16 23:19:30 UTC) #3
skym
lgtm PrintersSyncBridge::StoreProxy should probably be using DCHECKs, not CHECK, as per https://chromium.googlesource.com/chromium/src/+/master/styleguide/c++/c++.md#CHECK_DCHECK_and-NOTREACHED I'm not happy ...
8 months, 4 weeks ago (2017-03-16 23:41:01 UTC) #5
skau
Thanks for the review. The comments have been addressed. https://codereview.chromium.org/2758643002/diff/1/chrome/browser/sync/test/integration/single_client_printers_sync_test.cc File chrome/browser/sync/test/integration/single_client_printers_sync_test.cc (right): https://codereview.chromium.org/2758643002/diff/1/chrome/browser/sync/test/integration/single_client_printers_sync_test.cc#newcode59 chrome/browser/sync/test/integration/single_client_printers_sync_test.cc:59: ...
8 months, 4 weeks ago (2017-03-18 00:04:55 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2758643002/40001
8 months, 3 weeks ago (2017-03-20 18:36:13 UTC) #9
commit-bot: I haz the power
8 months, 3 weeks ago (2017-03-20 20:10:43 UTC) #12
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/9985aa81ecc5c3fc065c6707ef5b...

Powered by Google App Engine
This is Rietveld 0eb02b776